// emacs: this is -*- c++ -*-
//
//   @file    label.h        
//
//                   
//  
//   Copyright (C) 2012 M.Sutton (sutt@cern.ch)    
//
//   $Id: label.h, v0.0   Sun 26 Aug 2012 21:32:27 BST sutt $


#ifndef  LABEL_H
#define  LABEL_H

#include <iostream>


inline std::string label( const std::string& format ) { 
  char c[256];
  sprintf( c, "%s", format.c_str() );
  return c;
}

inline std::string label( const std::string& format, int i ) { 
  char c[256];
  sprintf( c, format.c_str(), i );
  return c;
}

inline std::string label( const std::string& format, int i, int j ) { 
  char c[256];
  sprintf( c, format.c_str(), i, j );
  return c;
}

inline std::string label( const std::string& format, double d ) { 
  char c[256];
  sprintf( c, format.c_str(), d );
  return c;
}

inline std::string label( const std::string& format, double d, double e ) { 
  char c[256];
  sprintf( c, format.c_str(), d, e );
  return c;
}


inline std::string label( const std::string& format, const std::string& s ) { 
  char c[256];
  sprintf( c, format.c_str(), s.c_str());
  return c;
}

inline std::string label( const std::string& format, const std::string& s, const std::string& t  ) { 
  char c[256];
  sprintf( c, format.c_str(), s.c_str(), t.c_str() );
  return c;
}

inline std::string label( const std::string& format, const std::string& s, double d  ) { 
  char c[256];
  sprintf( c, format.c_str(), s.c_str(), d );
  return c;
}


inline std::string label( const std::string& format, double d, const std::string& s  ) { 
  char c[256];
  sprintf( c, format.c_str(), d, s.c_str() );
  return c;
}





#endif  // LABEL_H 










